openSUSE Security Update : net-snmp (openSUSE-2015-568)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

net-snmp was updated to fix one secuirty vulnerability and 2 bugs.

- Fix an incompletely initialized vulnerability within the
snmp_pdu_parse() function of snmp_api.c. (bnc#940188,
CVE-2015-5621)

- Add build requirement 'procps' to fix a net-snmp-config
error. (bsc#935863)

- Stop snmptrapd on removal.

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=935863
https://bugzilla.opensuse.org/show_bug.cgi?id=940188

Solution :

Update the affected net-snmp packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 85837 ()

Bugtraq ID:

CVE ID: CVE-2015-5621

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now